net.minecraft.client.gui

## Class TaskLongRunning

- java.lang.Object
- - net.minecraft.client.gui.TaskLongRunning

- All Implemented Interfaces:
    java.lang.Runnable
  Direct Known Subclasses:
    TaskOnlineConnect

      public abstract class TaskLongRunning
      extends java.lang.Object
      implements java.lang.Runnable

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected GuiScreenLongRunningTask` | `field_148419_b`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaskLongRunning()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `func_148411_d()`
    `void` | `func_148412_a(GuiScreenLongRunningTask p_148412_1_)`
    `Minecraft` | `func_148413_b()`
    `void` | `func_148414_a()`
    `void` | `func_148415_a(GuiButton p_148415_1_)`
    `void` | `func_148416_a(java.lang.String p_148416_1_)`
    `void` | `func_148417_b(java.lang.String p_148417_1_)`
    `boolean` | `func_148418_c()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Runnable

      `run`

- - ### Field Detail

    - #### field_148419_b

          protected GuiScreenLongRunningTask field_148419_b

  - ### Constructor Detail

    - #### TaskLongRunning

          public TaskLongRunning()

  - ### Method Detail

    - #### func_148412_a

          public void func_148412_a(GuiScreenLongRunningTask p_148412_1_)

    - #### func_148416_a

          public void func_148416_a(java.lang.String p_148416_1_)

    - #### func_148417_b

          public void func_148417_b(java.lang.String p_148417_1_)

    - #### func_148413_b

          public Minecraft func_148413_b()

    - #### func_148418_c

          public boolean func_148418_c()

    - #### func_148414_a

          public void func_148414_a()

    - #### func_148415_a

          public void func_148415_a(GuiButton p_148415_1_)

    - #### func_148411_d

          public void func_148411_d()